Class | ActiveMerchant::Billing::VerifiGateway
In: | lib/active_merchant/billing/gateways/verifi.rb
Parent: | Gateway

### Methods

authorize capture credit new purchase void

### Classes and Modules

Class ActiveMerchant::Billing::VerifiGateway::VerifiPostData

### Constants

URL | = | 'https://secure.verifi.com/gw/api/transact.php'
RESPONSE_CODE_MESSAGES | = | { "100" => "Transaction was Approved", "200" => "Transaction was Declined by Processor", "201" => "Do Not Honor", "202" => "Insufficient Funds", "203" => "Over Limit", "204" => "Transaction not allowed", "220" => "Incorrect payment Data", "221" => "No Such Card Issuer", "222" => "No Card Number on file with Issuer", "223" => "Expired Card", "224" => "Invalid Expiration Date", "225" => "Invalid Card Security Code", "240" => "Call Issuer for Further Information", "250" => "Pick Up Card", "251" => "Lost Card", "252" => "Stolen Card", "253" => "Fraudulent Card", "260" => "Declined With further Instructions Available (see response text)", "261" => "Declined - Stop All Recurring Payments", "262" => "Declined - Stop this Recurring Program", "263" => "Declined - Update Cardholder Data Available", "264" => "Declined - Retry in a few days", "300" => "Transaction was Rejected by Gateway", "400" => "Transaction Error Returned by Processor", "410" => "Invalid Merchant Configuration", "411" => "Merchant Account is Inactive", "420" => "Communication Error", "421" => "Communication Error with Issuer", "430" => "Duplicate Transaction at Processor", "440" => "Processor Format Error", "441" => "Invalid Transaction Information", "460" => "Processor Feature Not Available", "461" => "Unsupported Card Type"
SUCCESS | = | 1
TRANSACTIONS | = | { :authorization => 'auth', :purchase => 'sale', :capture => 'capture', :void => 'void', :credit => 'credit', :refund => 'refund'

### Public Class methods

new(options = {})

### Public Instance methods

authorize(money, credit_card, options = {})
capture(money, authorization, options = {})
credit(money, credit_card_or_authorization, options = {})
purchase(money, credit_card, options = {})
void(authorization, options = {})

[Validate]